BSDPORTAL.RU

На этом сайте обсуждаются вопросы использования ОС FreeBSD
 Портал  •  Статьи  •  Форум  •  Wiki  •  Поиск  •  FAQ  •  Обои  •   Официальная документация  •  Новые темы 

Часовой пояс: UTC + 4 часа




Начать новую тему Ответить на тему  [ Сообщений: 44 ]  На страницу 1, 2, 3  След.
Автор Сообщение
 Заголовок сообщения: openoffice для freebsd 8
СообщениеДобавлено: Ср 20 янв, 2010 3:30 pm 
Не в сети

Зарегистрирован: Ср 06 янв, 2010 10:53 pm
Сообщения: 150
подскажите, где взять пакет опен офиса с русской локализацией, или от инфа ресурс? спасибо.


Вернуться к началу
 Профиль  
 
 Заголовок сообщения: Re: openoffice для freebsd 8
СообщениеДобавлено: Ср 20 янв, 2010 3:44 pm 
Не в сети
Аватара пользователя

Зарегистрирован: Вт 22 сен, 2009 8:05 pm
Сообщения: 73
Откуда: Киев
karp писал(а):
подскажите, где взять пакет опен офиса с русской локализацией, или от инфа ресурс? спасибо.


читай тут http://forums.freebsd.org/showthread.php?t=8639

Тут пекеджы:
http://pub.ocpsys.com/bsd/killasmurf86/ ... eBSD-i686/

All OOo localized packages. ~14.5GB

думаю, если погуглить можно еще найти.
инфра-ресурс что-то не делает для восьмерки :(


Вернуться к началу
 Профиль  
 
 Заголовок сообщения: Re: openoffice для freebsd 8
СообщениеДобавлено: Ср 20 янв, 2010 4:00 pm 
Не в сети

Зарегистрирован: Ср 06 янв, 2010 10:53 pm
Сообщения: 150
gx писал(а):
karp писал(а):
подскажите, где взять пакет опен офиса с русской локализацией, или от инфа ресурс? спасибо.


читай тут http://forums.freebsd.org/showthread.php?t=8639

Тут пекеджы:
http://pub.ocpsys.com/bsd/killasmurf86/ ... eBSD-i686/

All OOo localized packages. ~14.5GB

думаю, если погуглить можно еще найти.
инфра-ресурс что-то не делает для восьмерки :(

спасибо!


Вернуться к началу
 Профиль  
 
 Заголовок сообщения: Re: openoffice для freebsd 8
СообщениеДобавлено: Ср 20 янв, 2010 4:52 pm 
Не в сети

Зарегистрирован: Вс 05 июн, 2005 4:19 pm
Сообщения: 3173
Откуда: Мезозой Пангея
karp писал(а):
подскажите, где взять пакет опен офиса с русской локализацией, или от инфа ресурс? спасибо.

Код:
cd /usr/ports/editors/openoffice.org-3-RC && make LOCALIZED_LANG=ru package clean

_________________
Ми можемо все - що здатні собі уявити!
uname -a
Linux nonamehost 5.14.0-1008-oem #8-Ubuntu SMP Wed Nov 10 11:22:41 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Пт 20 май, 2011 12:41 pm 
Не в сети
Аватара пользователя

Зарегистрирован: Ср 27 апр, 2011 12:51 pm
Сообщения: 175
Откуда: хрущебы
Цитата:
cd /usr/ports/editors/openoffice.org-3-RC && make LOCALIZED_LANG=ru package clean


А сколько времени, интересно, будет ставится офис из портов?.. Позавчера ставил таким образом Гнома (порты устанавливал portsnap) - сутки пролетели незаметно... Хотя железо не совсем уж и отстойное: P4, 3,00 GHz, 1,5 Gb RAM.

Просто интересно, стоит ли заморачиваться с портами или проще установить (и русифицировать!) пакаджами?


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Пт 20 май, 2011 1:07 pm 
Не в сети
Аватара пользователя

Зарегистрирован: Ср 27 апр, 2011 12:51 pm
Сообщения: 175
Откуда: хрущебы
Вообще, такая загрузка машины при установке ПО - нормальное явление?


Изображение

P.S. На снимке показана загрузка ЦПУ во время установки /usr/ports/multimedia/vlc


Последний раз редактировалось asminog Пт 20 май, 2011 5:47 pm, всего редактировалось 1 раз.

Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Пт 20 май, 2011 1:39 pm 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5478
Откуда: СССР, Харьков
Нормально всё идет и нагрузка как положено.
Вот из /usr/ports/UPDATING
Код:
20110517:
  AFFECTS: users of lang/perl*
  AUTHOR: skv@FreeBSD.org

  lang/perl5.14 is out. If you want to switch to it from, for example
  lang/perl5.12, that is:

  Portupgrade users:
    0) Fix pkgdb.db (for safety):
   pkgdb -Ff

    1) Reinstall new version of Perl (5.14):
   env DISABLE_CONFLICTS=1 portupgrade -o lang/perl5.14 -f perl-5.12.\*

    2) Reinstall everything that depends on Perl:
   portupgrade -fr perl

сделайте и порадуетесь, у меня уже вторые сутки работает.
Ставил LibreOffice утром запустил установку, до конца рабочего дня не
успел установиться(9 часов), на следующее утро пришёл, уже стоит,
сколько времени устанавливался не знаю.
Пень 4 2,66 RAM 2G
З.Ы. И у вас проц по круче в 2 потока может, а мой нет.


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Пт 20 май, 2011 1:44 pm 
Не в сети
Аватара пользователя

Зарегистрирован: Ср 27 апр, 2011 12:51 pm
Сообщения: 175
Откуда: хрущебы
Да я пока что не собираюсь устанавливать Офис,. Просто интересно было узнать, на будущее. :D

Спасибо.


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Пт 20 май, 2011 2:20 pm 
Не в сети
Аватара пользователя

Зарегистрирован: Ср 27 апр, 2011 12:51 pm
Сообщения: 175
Откуда: хрущебы
Цитата:
20110517:
AFFECTS: users of lang/perl*
AUTHOR: skv@FreeBSD.org

lang/perl5.14 is out. If you want to switch to it from, for example
lang/perl5.12, that is:

Portupgrade users:
0) Fix pkgdb.db (for safety):
pkgdb -Ff

1) Reinstall new version of Perl (5.14):
env DISABLE_CONFLICTS=1 portupgrade -o lang/perl5.14 -f perl-5.12.\*

2) Reinstall everything that depends on Perl:
portupgrade -fr perl


Я дружу с англицким - на уровне интуиции :D. Насколько я понял, нужно проапгрейдить Perl с версии 5.12 до версии 5.14 ?.. Что это даст, и является ли это обязательным условием?

P.S. Не судите строго за наивность моих вопросов: и месяца не прошло как я перехал с винды. Поэтому мышление еще плоское. :wink:


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Пт 20 май, 2011 2:36 pm 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5478
Откуда: СССР, Харьков
Это не обязательно на 5.14 , но если вы почитаете дальше /usr/ports/UPDATING
Код:
20110506:
  AFFECTS: users of lang/perl*
  AUTHOR: skv@FreeBSD.org

  Default version of Perl was bumped to 5.12.

  If you already have lang/perl5.10 or lang/perl5.8 installed, and want to
  switch to lang/perl5.12 please follow instructions in the entry 20100715
  in this file.

настоятельно рекомендуют.


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Пт 20 май, 2011 2:49 pm 
Не в сети
Аватара пользователя

Зарегистрирован: Ср 27 апр, 2011 12:51 pm
Сообщения: 175
Откуда: хрущебы
У меня сейчас стоит 5.12. Сразу же после установки минималки сделал portupgrade -arR,
в следствии чего версия перла обновилась с 5.10 до 5.12.

Рекомендуете поставить 5.14?..

Еще вопрос. Это нужно сделать в командной строке или прописать где-то?
Код:
env DISABLE_CONFLICTS=1 portupgrade -o lang/perl5.14 -f perl-5.12.\*


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Пт 20 май, 2011 3:53 pm 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5478
Откуда: СССР, Харьков
asminog писал(а):
У меня сейчас стоит 5.12. Сразу же после установки минималки сделал portupgrade -arR,
в следствии чего версия перла обновилась с 5.10 до 5.12.

Рекомендуете поставить 5.14?..

Как хотите, я так "равлекаюсь"
asminog писал(а):
Еще вопрос. Это нужно сделать в командной строке или прописать где-то?
Код:
env DISABLE_CONFLICTS=1 portupgrade -o lang/perl5.14 -f perl-5.12.\*

В командной строке.


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Пт 20 май, 2011 5:18 pm 
Не в сети
Аватара пользователя

Зарегистрирован: Ср 27 апр, 2011 12:51 pm
Сообщения: 175
Откуда: хрущебы
Ну что же, вроде бы c 'nbv все нормально теперь.

Код:
[asm@asm ~]$ pkg_info|grep ^perl
perl-5.14.0         Practical Extraction and Report Language
[asm@asm ~]$


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Вс 24 июл, 2011 9:48 pm 
Не в сети

Зарегистрирован: Ср 06 янв, 2010 10:53 pm
Сообщения: 150
а у меня теперь deadbeef не ставится
Код:
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.14.1
checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool
===>  Script "configure" failed unexpectedly.
Please report the problem to g.veniamin@googlemail.com [maintainer] and attach
the "/usr/ports/audio/deadbeef/work/deadbeef-0.4.4/config.log" including the
output of the failure of your make command. Also, it might be a good idea to
provide an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1

Stop in /usr/ports/audio/deadbeef.
что тут делать нужно?
UPD с пакета поставился + perl 5.10 потянул ну и поругался на несоответствие версий, а так работает :)


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Вс 24 июл, 2011 10:53 pm 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5478
Откуда: СССР, Харьков
Уже было.
http://www.bsdportal.ru/viewtopic.php?t ... c&start=20


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Пн 25 июл, 2011 2:31 am 
Не в сети

Зарегистрирован: Вс 05 июн, 2005 4:19 pm
Сообщения: 3173
Откуда: Мезозой Пангея
karp писал(а):
а у меня теперь deadbeef не ставится
Код:
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.14.1
checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool
===>  Script "configure" failed unexpectedly.
Please report the problem to g.veniamin@googlemail.com [maintainer] and attach
the "/usr/ports/audio/deadbeef/work/deadbeef-0.4.4/config.log" including the
output of the failure of your make command. Also, it might be a good idea to
provide an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1

Stop in /usr/ports/audio/deadbeef.
что тут делать нужно?
UPD с пакета поставился + perl 5.10 потянул ну и поругался на несоответствие версий, а так работает :)

казалось бы - а при чём тут SUBJ ( openoffice для freebsd 8 ) ? :shock:

_________________
Ми можемо все - що здатні собі уявити!
uname -a
Linux nonamehost 5.14.0-1008-oem #8-Ubuntu SMP Wed Nov 10 11:22:41 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux


Вернуться к началу
 Профиль  
 
 Заголовок сообщения: openoffice для freebsd 8
СообщениеДобавлено: Ср 28 сен, 2011 4:56 pm 
Не в сети

Зарегистрирован: Ср 28 сен, 2011 2:03 pm
Сообщения: 166
Поставил Libreoffice - 3.4.3 из портов.Порты обновил 16 сентября.
Код:
 uname -a
FreeBSD  8.2-RELEASE FreeBSD 8.2-RELEASE #0: Fri Feb 18 02:24:46 UTC 2011     root@almeida.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC  i386
$ pkg_info | grep offiсe
libreoffice-3.4.3_1 Full integrated office productivity suite

Падает scalc при изменении формата ячейки, на любом, даже пустом документе.
Ранее стоял libreoffice-3.3.3 - работал без проблем.После удаления LO-3.4.4 и установки LO-3.3.3 - также падает scalc.. В домашней директории остается - soffice.bin.core - 57мб. Опять установил LO-3.4.3.
Падения остались.
Куда копать?


Вернуться к началу
 Профиль  
 
 Заголовок сообщения: Re: openoffice для freebsd 8
СообщениеДобавлено: Ср 28 сен, 2011 5:13 pm 
Не в сети

Зарегистрирован: Вс 05 июн, 2005 4:19 pm
Сообщения: 3173
Откуда: Мезозой Пангея
liman писал(а):
Поставил Libreoffice - 3.4.3 из портов.Порты обновил 16 сентября.
Код:
 uname -a
FreeBSD  8.2-RELEASE FreeBSD 8.2-RELEASE #0: Fri Feb 18 02:24:46 UTC 2011     root@almeida.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC  i386
$ pkg_info | grep offiсe
libreoffice-3.4.3_1 Full integrated office productivity suite

Падает scalc при изменении формата ячейки, на любом, даже пустом документе.
Ранее стоял libreoffice-3.3.3 - работал без проблем.После удаления LO-3.4.4 и установки LO-3.3.3 - также падает scalc.. В домашней директории остается - soffice.bin.core - 57мб. Опять установил LO-3.4.3.
Падения остались.
Куда копать?

попробуйте в окне терминала - дайте вывод
Код:
cd && gdb /usr/local/lib/libreoffice/program/soffice.bin soffice.bin.core

потом нажать
Код:
bt full

и Enter...

_________________
Ми можемо все - що здатні собі уявити!
uname -a
Linux nonamehost 5.14.0-1008-oem #8-Ubuntu SMP Wed Nov 10 11:22:41 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux


Вернуться к началу
 Профиль  
 
СообщениеДобавлено: Ср 28 сен, 2011 5:49 pm 
Не в сети

Зарегистрирован: Ср 28 сен, 2011 2:03 pm
Сообщения: 166
Цитата:
попробуйте в окне терминала - дайте вывод
cd && gdb /usr/local/lib/libreoffice/program/soffice.bin soffice.bin.core


Код:
gdb /usr/local/lib/libreoffice/program/soffice.bin soffice.bin.core

GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-marcel-freebsd"...(no debugging symbols found)...
Core was generated by `soffice.bin'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/local/lib/libreoffice/program/../basis-link/ure-link/lib/libuno_sal.so.3...(no debugging symbols found)...done.

Там далее примерно 3 экрана сообщения о библиотеках с сообщением
Код:
(no debugging symbols found)...done.

Далее после
Код:
(gdb) bt full
#0  0x2b778337 in icu_48::LEGlyphStorage::LEGlyphStorage () from /usr/local/lib/libicule.so.48
No symbol table info available.
#1  0x2b76fcb4 in icu_48::CanonShaping::reorderMarks () from /usr/local/lib/libicule.so.48
No symbol table info available.
#2  0x2b76877c in icu_48::LayoutEngine::layoutEngineFactory () from /usr/local/lib/libicule.so.48
No symbol table info available.
  ....
#45 0x2812b8f5 in soffice_main ()
   from /usr/local/lib/libreoffice/program/../basis-link/program/libsofficeapp.so
No symbol table info available.
#46 0x08048c8c in main ()
No symbol table info available.
(gdb)

Что еще приложить? Или пересобирать для дебаггера?


Вернуться к началу
 Профиль  
 
 Заголовок сообщения: Re: openoffice для freebsd 8
СообщениеДобавлено: Ср 28 сен, 2011 5:50 pm 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5478
Откуда: СССР, Харьков
liman писал(а):
Поставил Libreoffice - 3.4.3 из портов.Порты обновил 16 сентября.

Не понял? У меня порты кривые?
Код:
аnkor# cd /usr/ports && make search name=libreoffice
Port:   libreoffice-3.4.2_1
Path:   /usr/ports/editors/libreoffice
Info:   Full integrated office productivity suite
Maint:  office@FreeBSD.org

Порты обновил только-что.


Вернуться к началу
 Профиль  
 
Показать сообщения за:  Поле сортировки  
Начать новую тему Ответить на тему  [ Сообщений: 44 ]  На страницу 1, 2, 3  След.

Часовой пояс: UTC + 4 часа


Кто сейчас на конференции

Зарегистрированные пользователи: Bing [Bot], grayich, Majestic-12 [Bot]


Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
Создано на основе phpBB® Forum Software © phpBB Group
Русская поддержка phpBB
Яндекс.Метрика